#!/bin/sh

BINNAME=ImwalletHuayunBoxMainClient_x64

case "$AS_NAS_ARCH" in
    arm)
        BINNAME=ImwalletHuayunBoxMainClient_arm
        ;;
    armv7l)
        BINNAME=ImwalletHuayunBoxMainClient_arm
        ;;
    arm64)
        BINNAME=ImwalletHuayunBoxMainClient_aarch64
        ;;
    i386)
        BINNAME=ImwalletHuayunBoxMainClient_x86
        ;;
    x86-64)
        BINNAME=ImwalletHuayunBoxMainClient_x64
        ;;
esac

case "$1" in
    start)
        "$APKG_PKG_DIR"/bin/"$BINNAME".sh &
        ;;
    stop)
        for fileName in `ls "$APKG_PKG_DIR"/bin/`
        do
            killall $fileName
        done
        ;;
    restart)
        $0 stop
        $0 start
        ;;
    *)
        echo "command error!"
        exit 1
        ;;
esac

exit 0
